# List Automations

> GET /automations — list your automations, newest first.

`GET /automations`

Lists your automations, newest first. The list returns automation objects **without** `steps`, `connections`, or `enrollments` — [retrieve a single automation](https://www.sendping.co/docs/api/automations-get) for the full object. See [Pagination](https://www.sendping.co/docs/api/pagination) for navigating with `limit`, `after`, and `before`.

**Query parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `limit` | number | No | Number of automations to retrieve per page. Default `20`, maximum `100`, minimum `1`. |
| `after` | string | No | The automation `id` **after** which more automations are retrieved (the next page). Cannot be combined with `before`. |
| `before` | string | No | The automation `id` **before** which more automations are retrieved (the previous page). Cannot be combined with `after`. |

**Node.js**

```js
import { SendPing } from 'sendping';

const mb = new SendPing('mb_xxxxxxxxx');

const { data, error } = await mb.automations.list({ limit: 20 });
console.log({ data, error });
```

**Ruby**

```ruby
require "sendping"

SendPing.api_key = "mb_xxxxxxxxx"

SendPing::Automations.list({
  "limit": 20
})
```

**PHP**

```php
<?php
require 'vendor/autoload.php';

use SendPing\SendPing;

$sendping = SendPing::client('mb_xxxxxxxxx');

$sendping->automations->list([
  'limit' => 20
]);
```

**Python**

```python
import sendping

sendping.api_key = "mb_xxxxxxxxx"

sendping.Automations.list({
  "limit": 20
})
```

**Go**

```go
import "github.com/shekhu10/sendping-sdks/sendping-go"

client := sendping.NewClient("mb_xxxxxxxxx")

automations, err := client.Automations.List(&sendping.ListParams{Limit: 20})
```

**Rust**

```rust
use sendping::{PaginationParams, SendPing};

let mb = SendPing::new("mb_xxxxxxxxx");

let _automations = mb.automations.list(Some(PaginationParams::new().with_limit(20))).await?;
```

**Java**

```java
import co.sendping.ListParams;
import co.sendping.SendPing;
import co.sendping.SendPingResponse;

SendPing sendping = new SendPing("mb_xxxxxxxxx");

SendPingResponse response = sendping.automations().list(ListParams.builder().limit(20).build());
```

**.NET**

```csharp
using SendPing;

ISendPing sendping = SendPingClient.Create("mb_xxxxxxxxx");

var resp = await sendping.AutomationListAsync(new PaginationOptions { Limit = 20 });
```

**cURL**

```bash
curl -X GET 'https://www.sendping.co/api/automations?limit=20' \
  -H 'Authorization: Bearer mb_xxxxxxxxx'
```

**CLI**

```bash
sendping automations list \
  --limit 20
```

### Response

```json
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "object": "automation",
      "id": "c9b16d4f-ba6c-4e2e-b044-6bf4404e57fd",
      "audience_id": "78261eea-8f8b-4381-83c6-79fa7120f1cf",
      "domain": "yourdomain.com",
      "name": "Welcome series",
      "trigger": "user.created",
      "status": "enabled",
      "trigger_config": null,
      "trigger_key": "start",
      "created_at": "2026-06-23T10:00:00.000Z",
      "updated_at": "2026-06-23T10:00:00.000Z"
    }
  ]
}
```

Returns `validation_error` if `limit` is outside 1–100, if a cursor is malformed, or if both `before` and `after` are supplied. See [Errors](https://www.sendping.co/docs/api/errors).
